# Uses of Record Class
org.apache.lucene.facet.facetset.DimRange

Packages that use DimRange
Package
Description
org.apache.lucene.facet.facetset
Provides FacetSets faceting capabilities which allows users to facet on high dimensional field values.

- ## Uses of DimRange in org.apache.lucene.facet.facetset

  Methods in org.apache.lucene.facet.facetset that return DimRange
  Modifier and Type
  Method
  Description
  `static DimRange`
  DimRange.`fromDoubles(double min, boolean minInclusive, double max, boolean maxInclusive)`
  Creates a `DimRange` for the given min and max double values.
  `static DimRange`
  DimRange.`fromFloats(float min, boolean minInclusive, float max, boolean maxInclusive)`
  Creates a `DimRange` for the given min and max float values.
  `static DimRange`
  DimRange.`fromLongs(long min, boolean minInclusive, long max, boolean maxInclusive)`
  Creates a `DimRange` for the given min and max long values.
  Constructors in org.apache.lucene.facet.facetset with parameters of type DimRange
  Modifier
  Constructor
  Description
  ``
  `RangeFacetSetMatcher(String label, DimRange... dimRanges)`
  Constructs an instance to match facet sets with dimensions that fall within the given ranges.